Bug 1022713 - [JBoss FSW 6][quickstart] failed during build [NEEDINFO]
[JBoss FSW 6][quickstart] failed during build
Status: CLOSED NOTABUG
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kconner
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 16:22 EDT by Frederic Hornain
Modified: 2015-08-02 19:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-16 11:47:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kconner: needinfo? (fhornain)


Attachments (Terms of Use)

  None (edit)
Description Frederic Hornain 2013-10-23 16:22:28 EDT
Description of problem:

mvn clean package
[INFO] Scanning for projects...
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]   
[ERROR]   The project org.switchyard.quickstarts.demos:switchyard-quickstart-demo-helpdesk:1.1.0.M3-redhat-2 (/home/fhornain/Downloads/FSW/jboss-eap-6.1/quickstarts/switchyard/demos/helpdesk/pom.xml) has 1 error
[ERROR]     Non-resolvable parent POM for org.switchyard.quickstarts:switchyard-quickstart-parent:1.1.0.M3-redhat-2: Failure to find org.switchyard:switchyard-parent:pom:1.1.0.M3-redhat-2 in http://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced and 'parent.relativePath' points at wrong local POM @ org.switchyard.quickstarts:switchyard-quickstart-parent:1.1.0.M3-redhat-2, /home/fhornain/Downloads/FSW/jboss-eap-6.1/quickstarts/switchyard/pom.xml, line 16, column 13 -> [Help 2]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
[ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/UnresolvableModelException


Version-Release number of selected component (if applicable):
JBoss FSW 6.0 Beta 1

How reproducible:
Try to build the helpdesk quickstart demo for instance

Steps to Reproduce:
1. go to jboss-eap-6.1/quickstarts/switchyard/demos/helpdesk
2. mvn clean package
3.

Actual results:

[INFO] Scanning for projects...
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]   
[ERROR]   The project org.switchyard.quickstarts.demos:switchyard-quickstart-demo-helpdesk:1.1.0.M3-redhat-2 (/home/fhornain/Downloads/FSW/jboss-eap-6.1/quickstarts/switchyard/demos/helpdesk/pom.xml) has 1 error
[ERROR]     Non-resolvable parent POM for org.switchyard.quickstarts:switchyard-quickstart-parent:1.1.0.M3-redhat-2: Failure to find org.switchyard:switchyard-parent:pom:1.1.0.M3-redhat-2 in http://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced and 'parent.relativePath' points at wrong local POM @ org.switchyard.quickstarts:switchyard-quickstart-parent:1.1.0.M3-redhat-2, /home/fhornain/Downloads/FSW/jboss-eap-6.1/quickstarts/switchyard/pom.xml, line 16, column 13 -> [Help 2]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
[ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/UnresolvableModelException
Expected results:


Additional info:
parent directory in the pom.xml does not exist
Comment 2 kconner 2013-10-30 20:30:22 EDT
Could you please include details of the repo you were accessing through your settings.xml file?
Comment 3 kconner 2013-10-30 22:44:26 EDT
Rereading the report it would appear that you are using maven central.  For this to work you need to add an entry in your settings.xml to the FSW beta repository, located at http://maven.repository.redhat.com/techpreview/ip6/6.0.0.Beta/maven-repository/

An example would be

<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
  <profiles>
    <profile>
      <id>FSW 6.x</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <repositories>
        <repository>
          <id>FSW 6.x repository</id>
          <url>http://maven.repository.redhat.com/techpreview/ip6/6.0.0.Beta/maven-repository/</url>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>FSW 6.x repository</id>
          <url>http://maven.repository.redhat.com/techpreview/ip6/6.0.0.Beta/maven-repository/</url>
        </pluginRepository>
      </pluginRepositories>
    </profile>
  </profiles>

  <activeProfiles>
    <activeProfile>FSW 6.x</activeProfile>
  </activeProfiles>
</settings>
Comment 5 Gomathi Anandan 2014-10-24 14:53:27 EDT
Resetting the flags back to the state it was before Oct-24- 2PM. There was an incorrect bulk update that I'm trying to fix.

Note You need to log in before you can comment on or make changes to this bug.